-- Customer specific once-script NYBU.
--
-- Support: +31 53 4800700

SET ECHO ON
SPOOL xNYBU10.lst
SET DEFINE OFF

-- NYBU#29764: Er zijn schijnbaar huurcontracten met > 10k euro huur per maand
-- (datatype was NUMBER (6,2) )
ALTER TABLE nybu_huur_buffer
  MODIFY bedrag NUMBER (10,2);

ALTER TABLE nybu_huur_archief
  MODIFY bedrag NUMBER (10,2);


-- NYBU#29653 campuscontracten ook naar salarisasministratie door kunnen belasten
-- cnt_srtkenmerk       Bill rent to             64
-- cnt_srtkenmerk       Bill service costs to    65
-- cnt_srtkenmerk       Bill telephone to        66
-- fac_kenmerkdomein    Bill to                 561
UPDATE cnt_srtkenmerk
   SET cnt_srtkenmerk_kenmerktype = 'R',
       fac_kenmerkdomein_key = 561,
       cnt_srtkenmerk_lengte = NULL,
       cnt_srtkenmerk_dec = NULL,
       cnt_srtkenmerk_nmin = NULL,
       cnt_srtkenmerk_nmax = NULL
 WHERE cnt_srtkenmerk_key IN (64,65,66);

-- cnt_kenmerk    Campus/Bill rent to            64
-- cnt_kenmerk    Campus/Bill service costs to   65
-- cnt_kenmerk    Campus/Bill telephone to       66
-- fac_usrdata    Budget nr                     442
UPDATE cnt_kenmerkcontract
   SET cnt_kenmerkcontract_waarde = '442'
 WHERE cnt_kenmerk_key IN (64,65,66)
   AND cnt_kenmerkcontract_verwijder IS NULL;


BEGIN adm.systrackscriptId('$Id$'); END;
/

COMMIT;

SPOOL OFF

@nybu.sql